package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AlarmMapper {
    List<ResultAlarmVo> getAll(String companyName);

    List<ResultAlarmVo> getAllByAlarmType(@Param("companyName") String companyName,@Param("alarmType") String alarmType);

    int addAlarm(AddAlarmVo addAlarmVo);

    int updateAlarm(UpdateAlarmVo updateAlarmVo);

    int delAlarm(DelAlarmVo delAlarmVo);

    ResultAlarmVo getByType(@Param("alarmType") String alarmType,@Param("companyName") String companyName);

    ResultAlarmVo getAlarmByWarehouseNo(@Param("warehouseNo") String warehouseNo ,@Param("gatewaySN")String gatewaySN,@Param("TDLSN")String TDLSN);
}
